@import url('https://fonts.googleapis.com/css2?family=Roboto:ital,wght@0,100;0,300;0,400;0,500;0,700;0,900;1,100;1,300;1,400;1,500;1,700;1,900&display=swap');
@import "https://maxcdn.bootstrapcdn.com/font-awesome/4.5.0/css/font-awesome.min.css";

.wrap {
	max-width: 1460px;
	width: 90%;
	margin: 0 auto;
}

p, h1, h2, h3, h4, label, li {
	color: #fff;
	font-family: 'Roboto', sans-serif;
}

p {
	font-size: 16px;
	font-size: 1em;
}

h1 {
	font-size: 2.25em;
}

h2 {
	font-size: 1.5em;
	margin-bottom: 40px;
}

h3 {
	font-size: 1.125em;
}

input {
	border: 1px solid rgba(215, 234, 249, .3);
  	border-radius: 4px;
  	display: block;
  	padding: 18px 20px;
  	width: 20%;
  	min-width: 250px;
  	margin-bottom: 20px;
  	color: rgba(215, 234, 249, 1);
  	font-weight: 600;
}

input::placeholder {
	color: rgba(215, 234, 249, .3);
	font-weight: 600;
}

i {
	transition: 0.3s all ease-out;
	color: #fff;
	cursor: pointer;
}

.cta {
	cursor: pointer;
	transition: 0.3s all ease-out;
	font-family: 'Roboto' , sans-serif;
	border: 1px solid rgba(215, 234, 249, .3);
	border-left: none;
	color: #fff;
	padding: 18.5px 20px;
	font-size: 0.875em;
	font-weight: 600;
	-webkit-transition: 0.1s all ease-out;
	-o-transition: 0.1s all ease-out;
	transition: 0.1s all ease-out;
}


.cta:hover {
	border: 1px solid rgba(215, 234, 249, 1);
	color: rgba(215, 234, 249, 1);
}

.ctaBlock {
	margin-top: -10px;
	margin-bottom: 20px;
	display: inline-block;
	border: 1px solid rgba(215, 234, 249, .3);
}

.cta:hover {
	transition: 0.3s all ease-out;
	color: #fff;
}

/* SIGN IN */
#signIn {
	background-image: url("../img/bg.jpg");
	background-size: cover;
	height: 100vh;
}

#signIn .wrap {
	text-align: center;
}

#signIn main {
	display: -webkit-flex;
	display: -moz-flex;
	display: -ms-flex;
	display: -o-flex;
	display: flex;
	align-items: center;
	height: 100%;
}

#signIn img {
	margin-bottom: 15px;
}

#signIn h1 {
	text-transform: uppercase;
	margin-bottom: 30px;
}

#signIn p {
	margin-bottom: 50px;
	font-weight: 300;
	color: rgba(215, 234, 249, .3);
}

#signIn span {
	display: block;
}

#signIn input {
	margin-right: auto;
	margin-left: auto;
}

#signIn i {
	background-color: #6648ff;
	border-radius: 50%;
	padding: 25px;
	cursor: pointer;
}

#signIn input:last-of-type {
	margin-bottom: 50px;
}

/* Menu */

nav {
	font-family: 'Roboto', sans-serif;
	font-weight: bold;
	display: inline-block;
	min-width: 200px;
	height: 100vh;
	border-right: 1px solid rgba(215, 234, 249, .3);
	position: fixed;
	z-index: 3;
	top: 0;
}

nav img {
	display: block;
	margin: 0 auto;
	margin-bottom: 40px;
}

nav .wrap {
	padding: 40px;
}

nav li {
	color: #3d434f;
	font-size: 18px;
	margin-bottom: 40px;
	width: 100%;
	position: relative;
	cursor: pointer;
}

nav a {
	transition: 0.3s all ease-out;
	color: #3d434f;
}

nav a:hover {
	transition: 0.3s all ease-out;
	color: #fff;
}

nav a.mainLogo {
	display: block;
	margin: 0 auto;
}

nav ul li:last-of-type {
	color: rgba(215, 234, 249, .3);
	position: absolute;
	bottom: 30px;
	cursor: pointer;
	left: 65px;
}

nav li a.active {
	color: #fff;
}

nav li a.active:after {
	content: "";
	width: 3px;
	height: 200%;
	background-color: #fff;
	position: absolute;
	right: -52px;
	top: -10px;
}


#background {
	background-image: url("../img/bg2.jpg");
	background-size: cover;
	min-height: 100vh;
}

/* #editing, #creator {
	height: 100%;
} */

#dash main, #settings main, #messenger main {
	display: inline-block;
	width: calc(100% - 204px);
	height: 100vh;
	vertical-align: top;
	padding: 50px; /* 1vw a tester pour le responsive */
	margin-left: 200px;
}
#dash main {
	position: relative;
}
#dash main .wrap {
    top: 50%;
    transform: translateY(-50%);
    position: relative;
}
#dash main h1 {
	margin-bottom: 20px;
}
#dash main .notice li {
    margin-bottom: 10px;
    padding: 10px 0;
    border-bottom: 1px solid rgba(255,255,255,0.2);
    color: rgba(255,255,255,0.3);
}

#settings input {
	color: #fff;
	width: 90%;
}

label {
	display: inline-block;
	margin-bottom: 10px;
}

#settings .setting .settingTitle {
	display: -webkit-flex;
	display: -moz-flex;
	display: -ms-flex;
	display: -o-flex;
	display: flex;
	justify-content: space-between;
	width: 90%;
}

#settings .setting .settingTitle i {
	margin-right: 10px;
}

#settings .cta {
	color: #fff;
	border: 1px solid rgba(215, 234, 249, .3);
}

#settings .cta:hover {
	background-color: rgba(255, 255, 255, 0.3);
}

#settings .buttons {
	margin-top: 50px;
}

#settings label i {
	margin-left: 50px;
}

#settings i {
	transition: 0.3s all ease-out;
	color: rgba(255, 255, 255, 0.3);
}

#settings label i:hover {
	color: #fff;
}

/* Editor */

#editor aside, #editing aside, #creator aside {
	display: block;
	min-width: 200px;
	border-left : 1px solid rgba(215, 234, 249, .3);
	height: 100vh;
	vertical-align: top;
	position: fixed;
	top: 0;
	right: 0;
}

#editor main, #editing main, #creator main {
	display: block;
	width: calc(100% - 408px);
	vertical-align: top;
	padding: 50px;
	margin: 0 auto;
	height: auto;
}


#editor main ul li {
	display: -webkit-flex;
	display: -moz-flex;
	display: -ms-flex;
	display: -o-flex;
	display: flex;
	justify-content: space-between;
	border : 1px solid rgba(215, 234, 249, .3);
	border-bottom: none;
	padding: 18px 20px;
}

#editor main ul li span {
	color: #fff;
	text-decoration: none;
	opacity: 0.3;
	cursor: pointer;
}

#editor main ul li:last-of-type {
	border-bottom : 1px solid rgba(215, 234, 249, .3);
}

#editor aside h3, #editing aside h3, #creator aside h3 {
	color: #3d434f;
	text-align: center;
	border: 1px solid rgba(215, 234, 249, .3);
	border-left: none;
	padding: 25px 20px;
	cursor: pointer;
}

/* Editing */

#editing .folderContent {
	display: block;
	/* width: calc(100% - 100px); */
	margin: 0 auto;
	margin-top: 30px;
}

#editing .title:hover {
    background: rgba(215, 234, 249, 0.2);
    cursor: pointer;
}

#editing .folderContent:first-of-type {
	margin: 0 auto;
}

#editing .title {
	display: -webkit-flex;
	display: -moz-flex;
	display: -ms-flex;
	display: -o-flex;
	display: flex;
	justify-content: space-between;
	border: 1px solid rgba(215, 234, 249, 0.3);
	padding: 20px 20px;
	position: relative;
	align-content: center;
	vertical-align: middle;
	background-color: rgba(215, 234, 249, 0.1);
}

#editing i {
	margin-top: 5px;
}


#editing .textWysi {
	border: 1px solid rgba(215, 234, 249, .3);
	min-width: 100%;
	min-height: 300px;
}

#editing .content {
	border: 1px solid rgba(215, 234, 249, .3);
	border-top: none;
	padding: 20px 20px;
	background-color: rgba(215, 234, 249, 0.02);
}

#editing .element.media, #editing .element.wysi {
	display: inline-block;
	vertical-align: top;
	width: calc(52% - 4% - 4px);
}

#editing .element.wysi {
	margin-bottom: 20px;
}

#editing .element:nth-child(odd) {
	margin-right: 4%;
}

#editing .element.media img, #editing .element.media video {
	border: 1px solid rgba(215, 234, 249, .3);
	width: 50%;
	min-width: 100%;
	margin-bottom: 10px;
}

#editing .element.media input, #editing .element.media .cta {
	border-radius: 0;
	display: inline-block;
	vertical-align: top;
}

#editing .element.media input {
	width: 65%;
}

#editing h4, #creator h4 {
	margin-bottom: 10px;
}

#editing .input input {
	width: 100%;
}

#editing .element.check >* {
	display: inline-block;
	margin-bottom: 0;
	vertical-align: middle;
}

#editing .element.check {
	margin-bottom: 30px;
}

#editing .checkbox {
	border: 1px solid #fff;
	min-width: 25px;
	min-height: 25px;
	vertical-align: top;
	position: relative;
	margin-left: 15px;
}

#editing .checkbox span {
	width: 14px;
  	height: 8px;
  	position: absolute;
  	top: 6px;
  	left: 5px;
  	border: 3px solid #fcfff4;
  	border-top: none;
  	border-right: none;
  	background: transparent;
  	-webkit-transform: rotate(-45deg);
    transform: rotate(-45deg);
    opacity: 0;
}

#editing .checkbox.active span, #editing .checkbox.active:hover {
	opacity: 1;
}

#editing .checkbox:hover span {
	opacity: 0.3;
}

#editing .wysi, #editing .media {
  max-width:600px;
}

#editing .cta.ctaArticles {
	border: 1px solid rgba(215, 234, 249, .3);
	margin-top: 20px;
	text-align: center;
	color: #fff;
	font-size: 18px;
	cursor: pointer;
}

#editing h2 {
	position: relative;
}

#editing h2 i {
	position: absolute;
	left: -60px;
	top: -5px;
}

.wysi header {
  width: 100%;
  border: 1px solid #3b4148;
  transform: translateY(1px);
}
.wysi header > div {
  display: inline-block;
  vertical-align: bottom;
}
.wysi header > button {
  width: 50px;
  height: 50px;
  line-height: 50px;
  text-align: center;
  border:1px solid #3b4148;
  transition: 0.1s all ease-out;
  cursor: pointer;
  margin-left: -5px;
}
.wysi header > button:hover {
  border-color: #fff;
}

.wysiContent {
  width: 100%;
  height: 250px;
  overflow: auto;
  border:1px solid #3b4148;
  padding: 20px;
  color: rgba(215, 234, 249, 1);
  font-family: 'Roboto' ,sans-serif;
}

.wysiContent::-webkit-scrollbar {
    width: 6px;
}
.wysiContent::-webkit-scrollbar-track {
    -webkit-box-shadow: inset 0 0 6px rgba(255,255,255,0.2);
}
.wysiContent::-webkit-scrollbar-thumb {
    -webkit-box-shadow: inset 0 0 6px rgba(255,255,255,0.2);
}

.select ul::-webkit-scrollbar {
    width: 6px;
}
.select ul::-webkit-scrollbar-track {
    -webkit-box-shadow: inset 0 0 6px rgba(255,255,255,0.2);
}
.select ul::-webkit-scrollbar-thumb {
    -webkit-box-shadow: inset 0 0 6px rgba(255,255,255,0.2);
}

.modalParent {
  position: fixed;
  top: 0;left: 0;
  height: 100vh;width: 100vw;
  background: rgba(0,0,0,0.9);
  z-index: 3;
  display: none;
}
.modal {
  position: absolute;
  top: 50%;left: 50%;
  margin: auto;
  padding: 0;
  background: #2b3039;
  transform: translate(-50%, -50%);
  border-radius:10px;
}
.modal header {
  position: relative;
  background: #3d434d;
  padding: 20px 30px;
  border-radius:10px 10px 0 0;
  font-weight: bold;
}
.modal input {
  display: block;
  border:1px solid rgba(215,234,249,0.2);
  margin-bottom: 10px;
  padding: 10px;
  color: #fff;
  border-radius:6px;
  transition: 0.1s all ease;
}
.modal input:hover, .modal input:focus {
  color: #fff;
  border-color: #fff;
}

.modal .modalContent {
  padding: 20px;
}

.closeBtn {
  position: absolute;
  right: 20px;
  padding: 10px;
  font-size: 21px;
  top: 50%;
  transform:translateY(-50%);
  cursor: pointer;
}

.smallCta {
  border:1px solid rgba(215,234,249,0.2);
  color: rgba(215,234,249,0.2);
  padding: 10px;
  border-radius:6px;
  transition: 0.1s all ease;
  text-transform: uppercase;
  font-size: 12px;
}
.smallCta:hover {
  cursor: pointer;
  color: #fff;
  border-color: #fff;
}

.wysiContent p {
  font-size: 18px;
}
.wysiContent h1 {
  font-size: 48px;
}
.wysiContent h2 {
  font-size: 36px;
}
.wysiContent h3 {
  font-size: 30px;
}
.wysiContent h4 {
  font-size: 24px;
}

.wysiContent b {
  font-weight: bold;
}
.wysiContent i {
  font-style: italic;
}
.wysiContent u {
  text-decoration: underline;
}

.select {
  position: relative;
  width: 30%;
  min-width: 130px;
  color: #fff;
  vertical-align: middle;
  text-align: left;
  -webkit-user-select: none;
     -moz-user-select: none;
      -ms-user-select: none;
          user-select: none;
  -webkit-touch-callout: none;
}
select {
  position: relative;
  display: inline-block;
  border: 1px solid #3b4148;
  z-index: 1;
  cursor: pointer;
  transition: 0.1s all ease-out;
  height: 50px;
  line-height: 50px;
  padding:0 20px;
  font-family: 'Roboto', sans-serif;
  color: #fff;
}
select .placeholder:hover {
  border-color: #fff;
}
select .placeholder:after {
	content: '\f078';
  	position: absolute;
  	right: 6%;
  	top: 50%;
  	-webkit-transform: translateY(-50%);
    transform: translateY(-50%);
  	font-family: 'FontAwesome';
  	font-weight: 400;
  	z-index: 10;
}
select.is-open .placeholder:after {
  content: '\f077';
  font-weight: 400;
}
select.is-open ul {
  height: auto;
  overflow: auto;
}
select.select--white .placeholder {
  background: #fff;
  color: #999;
}
select.select--white .placeholder:hover {
  background: #fafafa;
}
select ul {
  position: absolute;
  overflow: hidden;
  height: 0;
  max-height: 121px;
  width: 100%;
  border-radius: 2px;
  top: 100%;
  left: 0;
  list-style: none;
  margin: 0;
  padding: 0;
  z-index: 100;
  transition: 0.2s all ease;
}

select option {
  display: block;
  text-align: left;
  padding: 0 20px;
  height: 40px;
  line-height: 40px;
  color: #999;
  cursor: pointer;
  border:1px solid #3b4148;
  background: #14171c;
}
select ul li:hover {
  background: #3b4148;
  color: #fff;
}
/* Messenger */

#messenger main .wrap {
	max-width: none;
	width: 100%;
}

#messenger .filterChat li {
	transition: 0.3s all ease-out;
	display: inline-block;
	margin-right: 30px;
	color: rgba(255, 255, 255, 0.2);
	font-size: 1.5em;
	margin-bottom: 30px;
	cursor: pointer;
}

#messenger .filterChat li:hover {
	transition: 0.3s all ease-out;
	color: #fff;
}

#messenger .filterChat li:last-of-type {
	margin-right: 0;
}

#messenger .filterChat li.active {
	color: #fff;
}

input#searchBar {
	border: none;
	padding: 0;
	min-width: 19vw;
	width: 90%;
}

.searchNav {
	display: -webkit-flex;
	display: -moz-flex;
	display: -ms-flex;
	display: -o-flex;
	display: flex;
	align-items: baseline;
	border-bottom: 1px solid rgba(215, 234, 249, .3);
	justify-content: space-between;
}

.searchNav i {
	color: rgba(215, 234, 249, .3);
}

#messenger .chatList {
	width: 30%;
	overflow: auto;
	display: inline-block;
	/* max-height: 90vh; */
}

#messenger .searchNav {
	margin-bottom: 30px;
}

#messenger .headerChat {
    display: -webkit-flex;
    display: -moz-flex;
    display: -ms-flex;
    display: -o-flex;
    display: flex;
    justify-content: space-between;
    margin-bottom: 15px;
    cursor: pointer;
    padding: 20px;
    background: rgba(215, 234, 249, .04);
    border-radius: 10px 10px 0 0;
}

#messenger .contentChat {
	display: -webkit-flex;
	display: -moz-flex;
	display: -ms-flex;
	display: -o-flex;
	display: flex;
	justify-content: space-between;
	align-items: flex-end;
	padding: 0 20px;
}

#messenger, #notif {
	display: -webkit-flex;
	display: -moz-flex;
	display: -ms-flex;
	display: -o-flex;
	display: flex;
	padding-right: 5px;
	align-items: center;
}

#messenger .notif {
	background-color: #6648ff;
	border-radius: 50%;
	width: 12px;
	height: 12px;
	vertical-align: flex-end;
	display: none;
}

#messenger .notif.off {
	display: none;
}

#messenger .notif.on {
	display: -webkit-flex;
	display: -moz-flex;
	display: -ms-flex;
	display: -o-flex;
	display: flex;
}

#messenger .playChat {
	display: none;
}

#messenger .playChat.active {
	display: inline-block;
	/* display: -webkit-flex;
	display: -moz-flex;
	display: -ms-flex;
	display: -o-flex;
	display: flex; */
	margin-left: 5px;
}

#messenger .profileChat {
	background-color: rgba(215, 234, 249, .04);
	border-radius: 10px;
	margin-bottom: 15px;
	margin-right: 10px;
	padding-bottom: 20px;
}

#messenger .numDevice, #messenger .navMessenger li, #messenger .navMessenger span, #messenger .navMessenger i {
	transition: all 0.3s ease-out;
	color: rgba(255, 255, 255, 0.2);
}

#messenger .device .popUp .content ul li i.redico:hover {
	color: #ff356d;
}

#messenger .navMessenger .firstPart ul li, #messenger .navMessenger .firstPart span, #messenger .navMessenger .firstPart i, #messenger .navMessenger .secondPart i {
	color: #fff;
}

#messenger .navMessenger .firstPart span.address {
	display: inline-block;
	width: 86%;
}

#messenger .navMessenger .firstPart i.fa-map-marker-alt {
	display: inline-block;
}

#messenger .lastMessage, #messenger .hourChat, #messenger .playChat i {
	color : rgba(215, 234, 249, .3);
}

#messenger .playChat i.fa-play-circle {
    color: rgb(0,255,184, 1);
}
#messenger .playChat i.fa-pause-circle:hover {
    color: #fbde12;
}
#messenger .profilesChat {
	overflow: auto;
	max-height: calc(100vh - 190px);
}

#messenger .customer {
	color : #fbdd80;
}

#messenger .newCustomer {
	color : #a6b0c4;
}

#messenger .banCustomer {
	color : #ff0000;
}

#messenger .customerBis {
	color: #6648ff;
}

#messenger .messages {
	width: calc(70% - 4px);
	display: inline-block;
	vertical-align: top;
	padding-left: 50px;
	/* max-height: 90vh; */
}

#messenger .messages h2 {
	margin-bottom: 30px;
}

#messenger .messages .navMessenger {
	display: -webkit-flex;
	display: -moz-flex;
	display: -ms-flex;
	display: -o-flex;
	display: flex;
	justify-content: space-between;
	padding-bottom: 20px;
	border-bottom: 1px solid rgba(215, 234, 249, .3);
	margin-bottom: 30px;
}

#messenger .messages ul {
	display: -webkit-flex;
	display: -moz-flex;
	display: -ms-flex;
	display: -o-flex;
	display: flex;
}

#messenger .messages .popUp ul {
	display: block;
}

#messenger .messages .firstPart ul {
	display: block;

}

#messenger .messages ul a {
	transition: all 0.3s ease-out;
	font-weight: 500;
	cursor: pointer;
}

#messenger .messages ul li {
	margin-right: 40px;
}

#messenger .messages .popUp ul li {
	margin-right: 0;
}

#messenger .messages ul li:last-of-type {
	margin-right: 0;
	position: absolute;
	right: 60px;
}

#messenger .messages .secondPart ul li:last-of-type {
	position: static;
}

#messenger .messages .firstPart ul li:last-of-type {
	position: static;
	right: 0;
}

#messenger .messages ul a:hover {
	transition: all 0.3s ease-out;
	color: #6648ff;
}

#messenger .messages ul a.noClick:hover {
	color: rgba(255, 255, 255, .3);
	cursor: default;
}

#messenger .navMessenger i {
	margin-right: 5px;
}

#messenger .navMessenger .delete {
	font-family: 'Roboto', sans-serif;
	transition: all 0.3s ease-out;
	cursor: pointer;
	font-weight: 500;
}

#messenger .writeBar {
	position: relative;
	bottom: 0;
}

#messenger .writeBar i {
	position: absolute;
}

#messenger .writeBar input {
	width: 100%;
	border-radius: 10px;
	border: none;
	background-color: rgba(215, 234, 249, .04);
	padding: 25px 60px;
	margin-bottom: 0;
}

#messenger .fa-link {
	top: 50%;
	left: 20px;
	-webkit-transform: translateY(-50%);
	-ms-transform: translateY(-50%);
	-o-transform: translateY(-50%);
	transform: translateY(-50%);
	color: rgba(255, 255, 255, 0.2);
}

#messenger .fa-paper-plane {
	top: 50%;
	right: 25px;
	-webkit-transform: translateY(-50%);
	-ms-transform: translateY(-50%);
	-o-transform: translateY(-50%);
	transform: translateY(-50%);
}

#messenger .chatRoom {
	overflow: auto;
	height: calc(100vh - 280px);
	margin-bottom: 30px;
}

#messenger .day {
	font-family: 'Roboto',sans-serif;
	color: rgba(255, 255, 255, .3);
	text-align: center;
	position: relative;
	margin-bottom: 40px;
	clear: both;
}

#messenger .day:before {
	content: "";
	display: block;
	height: 1px;
	background-color: rgba(255, 255, 255, .3);
	width: 35%;
	position: absolute;
	top: 7px;
}

#messenger .day:after {
	content: "";
	display: block;
	height: 1px;
	background-color: rgba(255, 255, 255, .3);
	width: 35%;
	position: absolute;
	top: 7px;
	right: 0;
}

#messenger .message p {
	padding: 15px 25px;
	border-radius: 10px;
	max-width: calc(70% - 10px);
	margin-bottom: 30px;
	line-height: 1.8;
	display: inline-block;
	margin-right: 10px;
}

#messenger .message span {
	font-family: 'Roboto', sans-serif;
	position: absolute;
	top: -22px;
	left: 0;
	right: 10px;
	color: rgba(255, 255, 255, .3);
	font-size: 0.75em;
}

#messenger .chatRoom .messageCustomer p {
	background-color: rgba(215, 234, 249, .04);
}

#messenger .chatRoom .messageManager p {
	background-color: rgba(102, 72, 255, 0.3);
	margin-left: 30%;
	float: right;
}

#messenger .chatRoom .message {
	position: relative;
	display: inline-block;
	width: 100%;
}

#messenger .chatRoom .messageManager span {
	text-align: right;
}

#messenger .navMessenger .delete:hover, #messenger .navMessenger .delete:hover i, #settings .settingTitle .fa-times:hover {
	transition: all 0.3s ease-out;
	color: #b00000;
}

#messenger.navMessenger .delete i {
	transition: all 0.3s ease-out;
}

#messenger .here {
	position: fixed;
	top: 30px;
	right: 60px;
	display: -webkit-flex;
	display: -moz-flex;
	display: -ms-flex;
	display: -o-flex;
	display: flex;
	align-items: center;
}

#messenger .here > * {
	margin-right: 10px;
}

#messenger .here .titreSwitch:last-of-type {
	margin-right: 0;
}

#messenger .here div {
	position: relative;
	border: 1px solid rgba(255, 255, 255, .3);
	width: 50px;
	height: 25px;
	border-radius: 14px;
	cursor: pointer;
}

#messenger .titreSwitch {
	font-weight: 500;
}

#messenger .here span {
	position: absolute;
	display: inline-block;
	background-color: #fff;
	width: 18px;
	height: 18px;
	border-radius: 50%;
	top: 2px;
	margin-left: 5px;
}

#messenger .here span.active {
	margin-left: 27px;
}

#messenger .here .offline, #messenger .here .online {
	color: rgba(255, 255, 255, .3);
}

#messenger .here .offline.active, #messenger .here .online.active {
	color: rgba(255, 255, 255, 1);
}

#messenger .navMessenger a {
	color: rgba(255, 255, 255, .3);
}

#messenger .here .offline.active {
    color: #f13c77;
}
#messenger .here .online.active {
    color: #3ffbb5;
}
#messenger .here span.active {
    background: #3ffbb5;
}
#messenger .here span{
    background: #f13c77;
}

/* Pop UP */

#messenger section {
	position: absolute;
	height: 100vh;
	width: 100vw;
	background-color: rgba(20, 23, 28, 0.9);
	z-index: 3;
	top: 0;
	left: 0;
}

#messenger .popUpBG {
	display: -webkit-flex;
	display: -moz-flex;
	display: -ms-flex;
	display: -o-flex;
	display: flex;
	justify-content: center;
	align-items: center;
}

#messenger .popUp {
	height: auto;
	font-weight: 500;
}

#messenger .popUp header {
	font-family: 'Roboto', sans-serif;
	display: -webkit-flex;
	display: -moz-flex;
	display: -ms-flex;
	display: -o-flex;
	display: flex;
	justify-content: space-between;
	background-color: #3d434d;
	padding: 25px 50px;
	color: #fff;
	font-weight: 600;
	border-top-left-radius: 10px;
	border-top-right-radius: 10px;
}

#messenger .popUp header i {
	cursor: pointer;
}

#messenger .popUp .content {
	background-color: #2b3039;
	border-bottom-right-radius:10px;
	border-bottom-left-radius:10px;
}

#messenger .payement .popUp .content {
	padding: 25px;
}

#messenger .payement .popUp .content p {
	margin-bottom: 10px;
}

#messenger .payement .cta {
	display: block;
	margin: 0 auto;
}

#messenger .profile .popUp .content {
	display: -webkit-flex;
	display: -moz-flex;
	display: -ms-flex;
	display: -o-flex;
	display: flex;
	justify-content: center;
}

#messenger .profile .popUp {
	width: 50vw;
	min-width: 730px;
}

#messenger .profile .popUp .content i{
	margin-right: 10px;
}

#messenger .profile .popUp .content li {
	border-bottom: 1px solid rgba(255, 255, 255, .1);
	padding: 20px 0;
}

#messenger .profile .popUp .content li:last-of-type {
	border-bottom: none;
	margin-bottom: 30px;
}

#messenger .profile .popUp .content span {
	margin-right: 10px;
}

#messenger .profile .popUp .content span:last-of-type {
	margin-right: 0px;
}

#messenger .profile .popUp .content li:last-of-type span {
    border-right: 1px solid rgba(255, 255, 255, 0.2);
    display: inline-block;
    width: auto;
    padding-right: 10px;
}
#messenger .profile .popUp .content li:last-of-type span:last-of-type {
    border-right: none;
    padding-right: 0;
}
#messenger .profile .popUp .content li:last-of-type span.postalCode {
    margin-left: 7%;
}
#messenger .profile .popUp .content li:last-of-type span.address {
    width: 86%;
    border-right: none;
    border-bottom: 1px solid rgba(255, 255, 255, 0.2);
    display: inline-block;
    margin-bottom: 10px;
    padding-bottom: 10px;
}

#messenger .profile .popUp .content .lastName {
    margin-right: 0px;
    border-left: 1px solid rgba(255, 255, 255, 0.2);
    padding-left: 10px;
}

/* #messenger .profile .popUp .content .adresse, #messenger .profile .popUp .content .postalCode, #messenger .profile .popUp .content .city {
	margin-bottom: 10px;
} */

#messenger .profile .popUp .content .travelNum {
	color: #48ffdf;
}

#messenger .profile .popUp .content .firstPart, #messenger .profile .popUp .content .secondPart {
	width: calc(50% - 50px);
	padding: 25px 0;
}

#messenger .profile .popUp .content .firstPart {
	border-right: 1px solid rgba(255, 255, 255, .1);
	padding-right: 50px;
}

#messenger .profile .popUp .content .secondPart {
	padding-left: 50px;
	padding-top: 45px;
}

#messenger .profile .popUp .content .secondPart p:first-of-type {
	margin-bottom: 30px;
}

#messenger .profile .popUp .content .secondPart textarea {
	resize: none;
	border: 1px solid rgba(255, 255, 255, .1);
	border-top-right-radius: 10px;
	border-top-left-radius: 10px;
	padding: 25px;
	font-weight: 400;
	line-height: 1.9;
	color: #fff;
	font-family: 'Roboto', sans-serif;
	max-width: 100%;
	width: 100%;
	max-height: 65%;
	height: 65%;
	font-size: 1em;
}

#messenger .cta {
	display: inline-block;
	padding: 10px 15px;
	border: 2px solid rgba(255, 255, 255, .1);
	border-radius: 10px;
	color: rgba(255, 255, 255, .3);
	margin-right: 15px;
}

#messenger .cta.cta-delete:hover {
    border: 1px solid rgb(255 86 86);
    color: rgb(255 86 86);
}

#messenger .cta:hover {
	border: 1px solid rgba(215, 234, 249, 1);
	color: rgba(215, 234, 249, 1);
}

#messenger .cta:last-of-type {
	margin-right: 0px;
}

#messenger .device .popUp {
	width: 25vw;
}

#messenger .device .popUp header {
    padding: 25px 30px;
}

#messenger .device .popUp .content {
	font-weight: 400;
}

#messenger .device .popUp .numDevice {
	color: #fff;
}

#messenger .device .popUp .content ul li {
	display: -webkit-flex;
	display: -moz-flex;
	display: -ms-flex;
	display: -o-flex;
	display: flex;
	justify-content: space-between;
}

#messenger .device .popUp .content li {
	border-bottom: 1px solid rgba(255, 255, 255, .1);
	padding: 10px 0;
}

#messenger .device .popUp .content .firstPart, #messenger .link .popUp .content .firstPart {
	width: 100%;
    padding: 25px 30px;

}

#messenger .device .popUp .content ul li, #messenger .device .popUp .content ul li i {
	color: rgba(255, 255, 255, .3);
}

#messenger .device .popUp .content ul li i {
	transition: all 0.3s ease-out;
}

#messenger .device .popUp .content ul li i:hover {
	transition: all 0.3s ease-out;
	color: rgba(255, 255, 255, 1);
}

#messenger .link .popUp .content .secondPart {
	max-height: 40vh;
	overflow: auto;
}



#messenger .link .popUp .searchNav {
	margin-bottom: 0;
}

#messenger .link .popUp .searchNav input {
	margin-bottom: 10px;
}

#messenger .link .popUp .secondPart {
	padding: 0 30px 15px 30px;
}

#messenger .link .popUp .secondPart ul li {
	display: -webkit-flex;
	display: -moz-flex;
	display: -ms-flex;
	display: -o-flex;
	display: flex;
	justify-content: space-between;
	padding-bottom: 10px;
	border-bottom: 1px solid rgba(255, 255, 255, .1);
	margin-bottom: 10px;
}

#messenger .link .popUp .secondPart ul li i:first-of-type {
	margin-left: 5px;
}

#messenger .link .popUp .secondPart ul li i:last-of-type {
	margin-left: 15px;
}

#messenger .link .popUp .secondPart ul li span:last-of-type, #messenger .link .popUp .secondPart ul li span:last-of-type>* {
	color: rgba(255, 255, 255, .3);
}

#messenger .link .popUp .secondPart ul li span:last-of-type i:last-of-type {
	transition: all 0.3s ease-out;
}

#messenger .link .popUp .secondPart ul li span:last-of-type i:last-of-type:hover {
	transition: all 0.3s ease-out;
	color: #fff;
}

#messenger .popUpBG.confirm, .popUpBG.confirm {
	z-index: 4;
}

#messenger .popUpBG.confirm .popUp, .popUpBG.confirm .popUp {
	width: 15vw;
}

#messenger .popUpBG.confirm .content, .popUpBG.confirm .content {
	padding: 25px;
	text-align: center;
}

#messenger .popUpBG.confirm p, .popUpBG.confirm p {
	margin-bottom: 15px;
}

#creator .creatorMenu {
	margin-bottom: 10px;
	cursor: pointer;
}

#creator .creatorMenu li {
	transition: 0.3s all ease-out;
	display: inline-block;
	margin-right: 30px;
	font-weight: 500;
	color: rgba(255, 255, 255, .2);
}

#creator .creatorMenu li:hover {
	transition: 0.3s all ease-out;
	color: #fff;
}

#creator .creatorMenu .active {
	color: #fff;
}

#creator .foldersName:not(.ctaFolder) {
	border : 1px solid rgba(215, 234, 249, .3);
	padding: 20px 30px;
	min-height: 320px;
}

#creator main .foldersName .folderTitle, #creator main .foldersName .folderContent .folderTitle {
	display: -webkit-flex;
	display: -moz-flex;
	display: -ms-flex;
	display: -o-flex;
	display: flex;
	justify-content: space-between;
	margin-bottom: 10px;
}

#creator main .foldersName .folderTitle.active{
	margin-bottom: 0;
}

#creator .bloc, #creator .buttons {
	width: 95%;
	margin: 0 auto;
}

#creator .bloc {
	margin-bottom: 30px;
}

#creator .bloc:last-of-type {
	margin-bottom: 0px;
}

#creator .folderContent, #creator .folderBlocContent{
	background-color: rgba(215, 234, 249, 0.04);
	padding: 30px;
	border: 1px solid #3b4148;
	border-top: none;
}


#creator .foldersName .folderTitle, #creator .bloc .folderTitle {
	border : 1px solid rgba(215, 234, 249, .3);
	background-color: rgba(215, 234, 249, 0.08);
	padding: 20px;
}

#creator .foldersName li i {
	transition: 0.3s all ease-out;
	color: rgba(255, 255, 255, .2);
}

#creator .foldersName li:hover i {
	transition: 0.3s all ease-out;
	color: #fff;
}

#creator .ctaFolder {
	text-align: center;
	border-left: 1px solid rgba(215, 234, 249, .3);
	border-top: none;
	color: #fff;
}

#creator .foldersName .fa-chevron-down {
	color: #fff;
}

#creator .folderContent {
	margin-bottom: 30px;
}

#creator .buttons .cta {
	padding: 10px 30px;
	color: #fff;
	border-left: 1px solid rgba(215, 234, 249, .3);
}

#creator .folder .folderContent {
	display: none;
}

#creator .folder .folderContent.active {
	display: block;
}

/* #creator .folder h4 {
	background-color: rgba(215, 234, 249, 0.04);
} */

#creator .buttons {
	display: inline-block;
	margin-top: 25px;
}

#creator .buttons.out {
	text-align: right;
	width: 100%;
	padding: 25px 0;
	margin: 0 auto;
}

#creator .element.input input {
	width: 100%;
	border-radius: 0;
	font-weight: 400;
	color: #fff;
}

#creator .element.input input::placeholder {
	font-weight: 400;
}

#creator .elementOption.out {
	width: 100%;
	margin: 0 auto;
	margin-top: 20px;
}

#creator .elementOption ul {
	display: -webkit-flex;
	display: -moz-flex;
	display: -ms-flex;
	display: -o-flex;
	display: flex;
}

#creator .elementOption ul li {
	border: 1px solid rgba(215, 234, 249, .3);
	padding: 10px 20px;
	cursor: pointer;
}

#creator .elementOption ul li:hover {
	border: 1px solid rgba(215, 234, 249, 1);
}

#creator .elementOption {
	display: none;
}

#creator .elementOption.out.active {
	display: -webkit-flex;
	display: -moz-flex;
	display: -ms-flex;
	display: -o-flex;
	display: flex;
	justify-content: flex-end;
}

#creator .elementOption.in.active {
	display: -webkit-flex;
	display: -moz-flex;
	display: -ms-flex;
	display: -o-flex;
	display: flex;
	justify-content: flex-start;
}

#creator .buttons .cta.active {
	background-color: #3b4148;
}

#creator .folder .folderContent .bloc .folderContent {
	padding: 30px;
	padding-top: 0;
}

#creator .folder .folderContent .bloc .folderContent .folderBlocContent {
	margin-bottom: 30px;
}

#creator .element h4 {
	background-color: transparent;
}

#creator .folder .folderContent .bloc .folderContent {
	padding-left: 0;
	padding-right: 0;
}

#creator input{
	width: 100%;
	border-radius: 0;
}

#creator label {
	display: -webkit-flex;
	display: -moz-flex;
	display: -ms-flex;
	display: -o-flex;
	display: flex;
	justify-content: space-between;
	padding-right: 5px;
}

#creator .fa-times {
	color: rgba(255, 255, 255, 0.3);
}

#creator label i:hover, #creator .folderTitle .fa-trash:hover {
	color: #b00000;
}

#creator h4 i, #creator h3 i, #editing h3 i {
	color: rgba(255, 255, 255, 0.3);
	margin-left: 50px;
}

#creator .fa-edit:hover {
	transition: 0.3s all ease-out;
	color: #fff;
}



/* HEADER BURGER */
	.nav-open .menu-icon > span:before {
    -webkit-transform: rotate(90deg);
    transform: rotate(90deg);
	}

	.nav-open .menu-icon > span:after {
	    -webkit-transform: rotate(90deg);
	    transform: rotate(90deg);
	}

	.menu-icon {
		position: fixed;
	    width: 50px;
	    height: 50px;
	    cursor: pointer;
	    right: 20px;
	    top: 12px;
	    margin: auto;
	    z-index: 3;
	    -webkit-transition: all 0.3s;
	    transition: all 0.3s;
	    display: none;
	}

	.nav-open .menu-icon {
	    -webkit-transform: rotate(45deg);
	    transform: rotate(45deg);
	}

	.nav-open .menu-icon > span:before {
	    -webkit-transform: rotate(90deg);
	    transform: rotate(90deg);
	}

	.nav-open .menu-icon > span:after {
	    -webkit-transform: rotate(90deg);
	    transform: rotate(90deg);
	}

	.nav-open {
		overflow: hidden;
	}

	.menu-icon > span {
		position: absolute;
	    top: 0;
	    right: 0;
	    left: 0;
	    bottom: 0;
	    margin: auto;
	    display: block;
	    margin: auto;
	    width: 50%;
	    height: 4px;
	    background-color: #fff;
	    border-radius: 3px;
	}

	.menu-icon > span:before, .menu-icon > span:after {
		content: "";
	    position: absolute;
	    width: 100%;
	    height: 100%;
	    background-color: #fff;
	    border-radius: 3px;
	    -webkit-transition: all 0.3s;
	    transition: all 0.3s;
	}

	.nav-circle {
	    z-index: 2;
	    margin: auto;
	    -webkit-transition: all 0.4s cubic-bezier(1.000, 0.610, 0.165, 1.000), background-color 0.8s ease-out 0.2s;
	    transition: all 0.4s cubic-bezier(1.000, 0.610, 0.165, 1.000), background-color 0.8s ease-out 0.2s;
	    display: none;
	}

	.nav-open .nav-circle {
		position: fixed;
		bottom: 0;
	    width: 100%;
	    height: calc(100% - 80px);
	    background-image: url(../img/bg2.jpg);
	}

	header span.menu {
		display: none;
	}

@media screen and (max-width: 1440px) {
	#creator .element.media, #creator .element.wysi {
		width: 100%;
	}

}


@media screen and (max-width: 1024px) {
	/* Header burger */
	header.mainMenu {
		position: fixed;
		z-index: 4;
		top: 0;
	}

	nav ul li:last-of-type {
		position: static;
	}

	header span.menu {
		display: block;
		color: #fff;
		font-family: 'Roboto', sans-serif;
		position: fixed;
		right: 70px;
		top: 30px;
		text-transform: uppercase;
		font-weight: 500;
		z-index: 4;
	}

	nav li a.active:after {
		display: none;
	}

	nav img {
		margin-bottom: 0;
		width: 50px;
		margin-top: 5px;
	}

	.menu-icon, .nav-circle {
    	display: block;
	}

	/* .shrink .nav-circle, .shrink .menu-icon {
		top: 13px;
	} */

	#mainHeader ul {
		height: auto;
	}

	header nav ul {
	    position: fixed;
	    z-index: 2;
	    max-width: 700px;
	    width: 90%;
	    margin: auto;
	    left: 0;
	    right: 0;
	    overflow: hidden;
	    display: none;
	    top: 50%;
	    -webkit-transform: translateY(-50%);
	    -ms-transform: translateY(-50%);
	    -o-transform: translateY(-50%);
	    transform: translateY(-50%);
	}

	header ul.signOut {
		z-index: 4;
		height: 50px;
	}

	header nav ul li:not(:last-of-type) {
	    border-bottom: 1px solid rgba(255, 255, 255, 0.3);
	}

	header nav ul li {
	    margin: 0;
	    display: block;
	    text-align: center;
	    list-style: none;
	    -webkit-transition: all 0.2s cubic-bezier(1.000, 0.610, 0.165, 1.000) 0s;
	    transition: all 0.2s cubic-bezier(1.000, 0.610, 0.165, 1.000) 0s;
	}

	.menu-icon > span:before {
		-webkit-transform: translateY(-8px);
	    transform: translateY(-8px);
	}

	.menu-icon > span:after {
		-webkit-transform: translateY(8px);
	    transform: translateY(8px);
	}

	header nav ul li {
		display: block;
		height: auto;
		text-align: left;
	}

	header nav ul li a {
		color: white;
		font-size: 16px;
	}

	header nav ul li {
		margin: 0 auto;
		padding: 50px 0;
		text-align: center;
	}

	.logo {
		margin: 0 auto;
		z-index: 2;
	}

	nav {
		display: block;
		height: 80px;
		position: static;
		width: 100vw;
		border: none;
		background-color: #6648ff;
	}

	nav .wrap {
		padding: 10px;
	}

	nav a.mainLogo {
		width: 10%;
		z-index: 3;
	}

	#dash main, #settings main, #messenger main {
		margin-left: 0;
		height: calc(100vh - 80px);
		width: 100%;
		padding: 110px 0;
	}

	#editor aside {
		display: none;
	}

	#editor main {
		width: 100%;
		padding: 110px 0;
	}

	#editing aside, #creator aside {
		top: 80px;
		height: auto;
		width: 100%;
		z-index: 3;
		border: none;
	}

	#editing main, #creator main {
		width: 100%;
		padding: 180px 0px;
	}

	#editing aside h3, #creator aside h3 {
		background-color: rgba(0, 0, 0, .9);
		color: #fff;
		border-left: none;
		border-right: none;
	}

	#editing .element.media, #editing .element.wysi, #creator .element.media, #creator .element.wysi {
		width: 100%;
	}

	#messenger .here {
		top: 80px;
		background-color: #14171c;
		width: 100%;
		height: 40px;
		justify-content: center;
		right: 0;
	}

	#messenger .chatList {
		width: 100%;
		height: 200px;
		margin: 125px auto 20px auto;
		overflow: hidden;
	}

	#messenger .messages {
		width: 100%;
		padding-left: 0;
	}

	#messenger main {
		padding: 0;
	}

	#messenger main .wrap {
		width: 90%;
	}

	#messenger .chatRoom {
		height: calc(100vh - 550px);
	}

	#messenger .filterChat li {
		margin-bottom: 10px;
	}

	#messenger .profilesChat {
		height: 12vh;
	}

	#messenger .writeBar {
		position: fixed;
		width: 100%;
		left: 0;
	}

	#messenger .writeBar input {
		border-radius: 0;
	}

	#messenger .fa-link {
		left: 20px;
		bottom: 23px;
	}

	#messenger {
		padding-right: 0;
	}
}

@media screen and (max-width: 600px) {
	header nav ul {
		top: calc(50% + 40px);
	}

	#editor main {
		padding: 110px 0 0 0;
	}

	#editing .folderContent {
		width: 100%;
	}

	#editing .element.media input {
		min-width: auto;
	}

	#editing .element.media .cta {
		width: 35%;
	}

	#editing .element.wysi .select {
		min-width: 125px;
		width: 39%;
	}

	#editing .element.wysi .select .placeholder {
	}

	#editing .element.wysi header>div:not(.select) {
		width: 40px;
	}

	#messenger .messages ul li:last-of-type {
		top: 347px;
	}
}

@media screen and (max-width: 500px) {

}

@media screen and (max-width: 375px) {
	#editor {
		height: 100%;
	}

	header nav ul li {
		padding: 30px 0;
	}

	#messenger .chatRoom {
		height: 32vh;
	}

}

@media screen and (max-width: 375px) and (max-height: 667px) {
	#messenger .chatRoom {
		height: calc(56vh - 250px);
	}

}

@media screen and (max-width: 1024px) and (max-height: 1366px) and (min-width: 1024px) and (min-height: 1366px){
	#messenger .chatList {
		height: 300px;
	}

	#messenger .profilesChat {
    	height: 14vh;
	}


	#messenger .chatRoom {
		height: calc(70vh - 250px);
	}

}


.modal.errorModal {
	font-family: 'Roboto', sans-serif;
	position:absolute;
	color:white;
	top:50%;left:50%;
	-webkit-transform: translate(-50%, -50%);
    -moz-transform: translate(-50%, -50%);
    -ms-transform: translate(-50%, -50%);
    -o-transform: translate(-50%, -50%);
    transform: translate(-50%, -50%);
    padding: 20px 40px;
    border-radius: 10px;
    background: rgb(243 51 51 / 0.5);
    font-size: 14px;
    text-transform: uppercase;
    box-shadow: none;
}

.modal.notifModal {
	font-family: 'Roboto', sans-serif;
	position:absolute;
	color:white;
	top:50%;left:50%;
	-webkit-transform: translate(-50%, -50%);
    -moz-transform: translate(-50%, -50%);
    -ms-transform: translate(-50%, -50%);
    -o-transform: translate(-50%, -50%);
    transform: translate(-50%, -50%);
    padding: 20px 40px;
    border-radius: 10px;
    background: rgb(74 232 86 / 0.5);
    font-size: 14px;
    text-transform: uppercase;
    box-shadow: none;
}


.modal.errorModal i, .modal.notifModal i {
	color: #fff;
	margin-right: 10px;
}




/* lib */

::-webkit-scrollbar {
    width: 6px;
}
::-webkit-scrollbar-track {
    -webkit-box-shadow: inset 0 0 6px rgba(0,0,0,0.3);
}
::-webkit-scrollbar-thumb {
    -webkit-box-shadow: inset 0 0 6px rgba(0,0,0,0.3);
}

/*
  RESTART BOUTON STYLES ->
*/

#messenger .hereRestart .restartBtn {
  padding: 12px 18px;
  background: #6648FF;
  color: #fff;
  border-radius: 50px;
  text-align: center;
  font-size: 14px;
  text-transform: uppercase;
  font-weight: bold;
  cursor: pointer;
}

#messenger .hereRestart .restartBtn span {
  font-family: 'Roboto', sans-serif;
  margin-right: 8px;
  letter-spacing: 1px;
}

#messenger .hereRestart {
    position: fixed;
    top: 30px;
    right: 60px;
    display: -webkit-flex;
    display: -moz-flex;
    display: -ms-flex;
    display: -o-flex;
    display: flex;
    align-items: center;
}











#messenger .lastMessage {
    word-break: break-all;
}